﻿@using NacGroup.Module.Core.Services
@using NacGroup.Module.Product.Services
@using NacGroup.Module.Core.Models
@using NacGroup.Infrastructure.Shared
@using Newtonsoft.Json.Linq
@using NacGroup.Module.Blog.Services
@using NacGroup.Module.Blog.Models.Schema
@using NacGroup.Module.Blog.Models.Querys
@inject IThemeConfigService ThemeConfigService
@inject IGettingGlobalConfigService GettingGlobalConfigService
@inject IProductWebService ProductWebService
@inject IBlogWebService BlogWebService
@model PagedResult<BlogData>
@{
    var globalConfig = GettingGlobalConfigService.GetConfiguration();

    ViewData["MetaTitle"] = globalConfig.GlobalWebSetting["SeoConfig"]["MetaTitle"];
    ViewData["MetaDescription"] = globalConfig.GlobalWebSetting["SeoConfig"]["MetaDescription"];
    ViewData["MetaKeyword"] = globalConfig.GlobalWebSetting["SeoConfig"]["MetaKeyword"];
    ViewData["MetaThumnailFacebook"] = globalConfig.GlobalWebSetting["WebInfomation"]["WebsiteURL"].ToString() + globalConfig.GlobalThemeConfig["Data"][3]["Src"];
    Layout = "_Layout";

    var homeTheme = (JArray)ThemeConfigService.GetByKey("THEME_HOME").Data;
    var blogList = BlogWebService.Filter(null, 1, 5);

}
@section Style{
    <link href="/tenants/@globalConfig.TenantName.ToLower()/themes/@globalConfig.WebsiteTheme.ToLower()/live/css/index-page.min.css" rel="stylesheet" />
}
@section Script{
    <script src="/tenants/@globalConfig.TenantName.ToLower()/themes/@globalConfig.WebsiteTheme.ToLower()/live/scripts/index-page.min.js"></script>
    <script>
        $(document).ready(function () {
            $(".nav li[data-id='home']").addClass("active");
        })
    </script>
}
<main id="index-page">
    <h1 class="hidden">@globalConfig.GlobalWebSetting["SeoConfig"]["MetaTitle"]</h1>
    <!--#region section 1-->
    <section id="news-top" class="p-top-1 p-bot-2 container bg-white">
        <div class="section-body">
            <div class="news-feature flex-container">
                @foreach (var item in blogList.Results)
                {
                    <div style="background-image:url('@item.Avatar')" class="feature-item">
                        <div class="feature-cover">
                            <a href="/@item.CategoryUrl/@item.Url/@item.CreatedDate.Day/@item.CreatedDate.Month/@item.CreatedDate.Year">
                                <span>
                                    @(item.Title)
                                </span>
                            </a>
                        </div>
                        <div class="feature-info">
                            <div class="date">
                                @(item.CreatedDate.ToNewsDateFormat())
                            </div>
                            <h2 class="title">
                                @(item.Title)
                            </h2>
                            <h3 class="des">
                                @if (item?.ShortDescription.Length > 75)
                                {
                                    @(string.Concat(item?.ShortDescription.Substring(0,75),"..."))
                                }
                                else
                                {
                                    @(item?.ShortDescription)
                                }
                            </h3>
                        </div>
                    </div>
                }
            </div>
        </div>
    </section>
    <!--#endregion section 1-->
    <!--#region section 1-->
    <section id="news-main" class="p-top-1 p-bot-2 container bg-white">
        <div class="section-body">
            <div class="flex-container">
                <div class="w___left">
                    @foreach (var item in Model.Results)
                    {
                        <div class="news-item">
                            <div class="news-top m-bot-2">
                                <h4 class="h5 title text-bold">
                                    <a href="/@item.CategoryUrl/@item.Url/@item.CreatedDate.Day/@item.CreatedDate.Month/@item.CreatedDate.Year" class="text-uppercase">@(item.Title)</a>
                                </h4>
                            </div>
                            <div class="feature-info flex-container">
                                <div class="ava">
                                    <img src="@item.Avatar" alt="" />
                                </div>
                                <div class="info">
                                    <p class="des">
                                        @if (item?.ShortDescription.Length > 150)
                                        {
                                            @(string.Concat(item?.ShortDescription.Substring(0, 150),"..."))
                                        }
                                        else
                                        {
                                            @(item?.ShortDescription)
                                        }
                                    </p>
                                    <a href="/@item.CategoryUrl/@item.Url/@item.CreatedDate.Day/@item.CreatedDate.Month/@item.CreatedDate.Year" class="m-top-2 btn btn-primary">Xem thêm <span class="ecs-angle-double-right"></span></a>
                                </div>
                            </div>
                        </div>
                    }
                    @{
                        var start = Model.CurrentPage - 5 >= 1 ? (Model.CurrentPage - 5) : 1;
                        var end = Model.CurrentPage + 5 <= Model.TotalPageCount ? (Model.CurrentPage + 5) : Model.TotalPageCount;

                    }
                    <div class="paging text-center">
                        <ul class="pagination">
                            @{
                                if (Model.CurrentPage > 2)
                                {
                                    <li>
                                        <a href="/bai-viet?page=1" rel="prev">
                                            <i class="ecs-angle-double-left" aria-hidden="true"></i>
                                        </a>
                                    </li>
                                }
                                if (start > 1)
                                {
                                    <li class="disabled"><a>…</a></li>
                                }
                                if (Model.CurrentPage > 1)
                                {
                                    <li>
                                        <a href="/bai-viet?page=@(Model.CurrentPage -1)" rel="prev">
                                            <i class="ecs-left-open-mini" aria-hidden="true"></i>
                                        </a>
                                    </li>
                                }
                                for (var i = start; i <= end; i++)
                                {
                                    if (Model.CurrentPage == i)
                                    {
                                        <li class="active"><a>@i</a></li>
                                    }
                                    else
                                    {
                                        <li><a href="?page=@i">@i</a></li>
                                    }
                                }
                                if (end < Model.TotalPageCount)
                                {
                                    <li class="disabled"><a>…</a></li>
                                }
                                if (Model.CurrentPage < Model.TotalPageCount)
                                {
                                    <li>
                                        <a href="/bai-viet?page=@(Model.CurrentPage + 1)" rel="next">
                                            <i class="ecs-right-open-mini" aria-hidden="true"></i>
                                        </a>
                                    </li>
                                }
                                if (Model.CurrentPage < Model.TotalPageCount - 2)
                                {
                                    <li>
                                        <a href="/bai-viet?page=@(Model.TotalPageCount)" rel="next">
                                            <i class="ecs-angle-double-right" aria-hidden="true"></i>
                                        </a>
                                    </li>
                                }
                            }

                        </ul>
                    </div>
                </div>
                <div class="w___right">

                </div>
            </div>
        </div>
    </section>
    <!--#endregion section 1-->

</main>
